Bug 87523 - Make RenderLayer not arena-allocated
: Make RenderLayer not arena-allocated
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 122651
:
  Show dependency treegraph
 
Reported: 2012-05-25 11:42 PST by
Modified: 2013-10-12 02:14 PST (History)


Attachments
Patch (4.96 KB, patch)
2013-10-11 01:14 PST, Andreas Kling
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-25 11:42:06 PST
We don't think we're getting any benefit from RenderLayer being arena-allocated, and it adds code complexity.
------- Comment #1 From 2012-05-25 12:12:04 PST -------
Agreed!
------- Comment #2 From 2012-05-25 12:21:19 PST -------
How is RenderLayer different than the other Render* classes WRT usefulness of being arena-allocated?
------- Comment #3 From 2012-05-25 12:47:00 PST -------
There don't tend to be that many RenderLayers on most pages (tens - hundreds, not thousands).
------- Comment #4 From 2012-05-25 13:03:17 PST -------
Fair enough.
------- Comment #5 From 2013-10-11 01:14:29 PST -------
Created an attachment (id=213975) [details]
Patch
------- Comment #6 From 2013-10-11 02:37:57 PST -------
(From update of attachment 213975 [details])
Clearing flags on attachment: 213975

Committed r157297: <http://trac.webkit.org/changeset/157297>
------- Comment #7 From 2013-10-11 02:37:59 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #8 From 2013-10-11 09:49:08 PST -------
Re-opened since this is blocked by bug 122651
------- Comment #9 From 2013-10-11 09:53:46 PST -------
This caused crashes on tests (debug and release WK2). Very strange that EWS didn't catch it, was the landed patch identical to the one posted here?

Rolled out in <https://trac.webkit.org/r157306>. Results:

http://build.webkit.org/results/Apple%20MountainLion%20Debug%20WK2%20(Tests)/r157297%20(13299)/results.html
------- Comment #10 From 2013-10-12 02:14:09 PST -------
Committed r157333: <http://trac.webkit.org/changeset/157333>